from argparse import ArgumentParser
import pathlib
import numpy as np
from utils import read_lzma_ndarray, get_real_stem
from tqdm import tqdm
import pandas as pd
def main():
    parser = ArgumentParser()
    parser.add_argument("--robex_dir",
                        help="Where the ROBEX files are located")
    args = parser.parse_args()
    args.robex_dir = pathlib.Path(args.robex_dir)
    args.output_fname = args.robex_dir.joinpath("population_size.csv")
    assert args.robex_dir.exists(), "ROBEX directory does not exist!"
    brain_size = []
    for input_fname in tqdm(args.robex_dir.glob("*.npy.xz")):
        brain_mask = read_lzma_ndarray(input_fname) > 0
        brain_size.append({
            "subject_id": get_real_stem(input_fname),
            "size": brain_mask.mean()
        })
    df = pd.DataFrame(brain_size)
    df.to_csv(args.output_fname, index=False)
if __name__ == "__main__":
    main()
