library(dplyr)
library(readr)
library(rstudioapi)
library(tidyr)
library(stringr)
library(knitr)
library(forcats)
library(ggplot2)
library(ggthemes)
library(DescTools)
theme_set(theme_economist(base_size = 18))
setwd(dirname(getActiveDocumentContext()$path))
dataset.path <- "~/remote/anonymized_server/anonymized_user/Data/ADNI/ADNI_NDARRAY_PT_128_Robex/"
data.path <- str_c(dataset.path, "population_size.csv")
data <- read_csv(data.path)
size_quantiles <- quantile(data$size, probs = c(0.05, 0.5, 0.95), names = TRUE)
print(str_c(names(size_quantiles)[1], " quantile = ", size_quantiles[1]))
print(str_c(names(size_quantiles)[2], " quantile = ", size_quantiles[2]))
print(str_c(names(size_quantiles)[3], " quantile = ", size_quantiles[3]))
print(str_c("Min stretch: ", size_quantiles[1]/size_quantiles[2], ", Max stretch: ", size_quantiles[3]/size_quantiles[2]))
data %>%
  mutate(dist_to_median = abs(size - size_quantiles[2])) %>%
  arrange(dist_to_median) %>%
  head(16) %>%
  pull(subject_id) %>%
  write(file="~/remote/anonymized_server/anonymized_user/Data/ADNI/ADNI_NDARRAY_PT_128_Robex/median.dat")
data %>%
  ggplot(aes(x=size)) +
  geom_histogram(binwidth = 0.001) +
  xlab("\nBrain size [voxel density]")
