from argparse import ArgumentParser
import pathlib
import h5py
import numpy as np
def main():
    parser = ArgumentParser()
    parser.add_argument("--nifti_fname",
                        required=True)
    args = parser.parse_args()
    args.nifti_fname = pathlib.Path(args.nifti_fname)
    args.output_dir = args.nifti_fname.parent.parent.joinpath(args.nifti_fname.parent.name.replace("HDF5", "NDARRAY") + "_CH")
    args.output_dir.mkdir(exist_ok=True)
    assert args.nifti_fname.exists(), "Input not found!"
    def visitor_func(name, node):
        if isinstance(node, h5py.Dataset):
            arr_type, subject_id = name.split("/")
            if arr_type == "convex_hull":
                arr = node[()]
                np.save(file=args.output_dir.joinpath(f"{subject_id}.npy"),
                        arr=arr)
    with h5py.File(args.nifti_fname, "r") as fhandle:
        fhandle.visititems(visitor_func)
if __name__ == "__main__":
    main()
