import torch
import torch.nn as nn
NONLINEARITY = {
    "leaky_relu": nn.LeakyReLU(0.2)
}
class Activation(nn.Module):
    def __init__(self, type: str):
        super().__init__()
        self.type = type
        if self.type in NONLINEARITY:
            self.nonlinearity = NONLINEARITY[self.type]
        else:
            raise NotImplementedError(f"Activation function '{self.type}' is not supported!")
    def forward(self, x):
        return self.nonlinearity(x)
