from pathlib import Path
from abc import ABC, abstractmethod
import subprocess
import shlex
class SkullStrippingMethod(ABC):
    def __init__(self):
        pass
    @abstractmethod
    def strip_skull(self, input_fname: Path, output_fname: Path):
        pass
class Robex(SkullStrippingMethod):
    def __init__(self):
        super().__init__()
    def strip_skull(self, input_fname: Path, output_fname: Path):
        if output_fname.exists():
            return
        try:
            subprocess.call(shlex.split("/home/anonymized_user/Build/ROBEX/runROBEX.sh {} {}".format(input_fname, output_fname)),
                            stdout=subprocess.DEVNULL,
                            timeout=20 * 60)
        except subprocess.TimeoutExpired:
            print(f"Timeout reached for file {input_fname}")
class FreesurferWatershed(SkullStrippingMethod):
    def __init__(self):
        super().__init__()
    def strip_skull(self, input_fname: Path, output_fname: Path):
        if output_fname.exists():
            return
        subprocess.call(shlex.split("/home/anonymized_user/Build/freesurfer/bin/mri_watershed {} {}".format(input_fname, output_fname)),
                        stdout=subprocess.DEVNULL)
