source /opt/facemasking_launch_script/maskface_setup.sh
echo "Running FACE_MASK within Docker.."
FILES=/mnt/input/*.hdr
for analyze_hdr in $FILES
do
  analyze_img=$(echo $analyze_hdr | sed -s "s/.hdr/.img/g")
  scan_name=$(basename $analyze_hdr .hdr)
  scan_dir=/tmp/$scan_name
  mkdir -p $scan_dir
  echo "Copying $scan_name to temporary directory $scan_dir .."
  cp $analyze_hdr $scan_dir
  cp $analyze_img $scan_dir
  cd $scan_dir
  echo "Applying FACE_MASK on $scan_name .."
  mask_face_nomatlab $scan_name -a > /dev/null
  echo "Applying FACE_MASK on $scan_name ..DONE"
  echo "Convert $scan_name back to NIFTI_GZ.."
  fslchfiletype NIFTI_GZ "$scan_dir/maskface/${scan_name}_full_normfilter.hdr"
  echo "Convert $scan_name back to NIFTI_GZ..DONE"
  echo "Moving ${scan_name}_full_normfilter.nii.gz to /mnt/output/${scan_name}.nii.gz .."
  cp $scan_dir/maskface/${scan_name}_full_normfilter.nii.gz /mnt/output/${scan_name}.nii.gz
  echo "Moving ${scan_name}_full_normfilter.nii.gz to /mnt/output/${scan_name}.nii.gz ..DONE"
  echo "Removing temporary directory $scan_dir .."
  cd /
  rm -rf $scan_dir
  echo "Removing temporary directory $scan_dir ..DONE"
done
