from argparse import ArgumentParser
import pathlib
import tempfile
def main():
    parser = ArgumentParser()
    parser.add_argument("--nifti_dir",
                        help="The input NifTi files",
                        required=True)
    parser.add_argument("--mist_model_dir",
                        help="Where the trained MIST model resides",
                        required=True)
    parser.add_argument("--tmp_dir",
                        default=tempfile.gettempdir())
    args = parser.parse_args()
    args.mist_model_dir = pathlib.Path(args.mist_model_dir)
    args.nifti_dir = pathlib.Path(args.nifti_dir)
    args.mist_model_dir.exists(), "MIST model directory does not exist!"
    args.nifti_dir.exists(), "Input NifTi directory does not exist!"
if __name__ == "__main__":
    main()
