DATA_NAME="ADNI"
CODE_PATH="$HOME/Code"
DATA_PATH="$HOME/Data/$DATA_NAME"
DATA_TYPES=("deface" "face_mask" "mri_watershed" "quickshear" "cp-gan")
TMP_DIR="/tmp"
DRY_RUN=true
NUM_JOBS=26
RESOLUTION=128
export PYTHONPATH=$CODE_PATH
set -e
num_data_types=${
for ((i=0;i<num_data_types;i++)); do
    DATA_TYPES[i]="__${DATA_TYPES[i]}__"
done
DATA_TYPES+=('')
 echo "Running all downstream tasks on ${DATA_NAME}..."
 for data_type in "${DATA_TYPES[@]}"
 do
   echo $data_type
   if [ "$DRY_RUN" = true ]; then
     echo "python $CODE_PATH/traditional_downstream_tasks/fsl_sienax.py --nifti_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_${RESOLUTION}${data_type} --tmp_dir $TMP_DIR --num_jobs $NUM_JOBS"
   else
     python $CODE_PATH/traditional_downstream_tasks/fsl_sienax.py --nifti_dir $DATA_PATH/${DATA_NAME}_NIFTI_PT_${RESOLUTION}${data_type} --tmp_dir $TMP_DIR --num_jobs $NUM_JOBS --index_fname $DATA_PATH/test.dat
   fi
 done
