import pathlib
import numpy as np
from utils import save_lzma_ndarray, read_lzma_ndarray
from utils import save_lzma_ndarray_archive, read_lzma_ndarray_archive
import string
big_arr_fname = pathlib.Path("/home/anonymized_user/big_arr.npy.xz")
big_arr = np.random.randn(100, 100, 100)
save_lzma_ndarray(arr=big_arr, output_fname=big_arr_fname)
big_arr_from_disk = read_lzma_ndarray(fname=big_arr_fname)
print(np.linalg.norm(big_arr - big_arr_from_disk))
big_arr_archive_fname = pathlib.Path("/home/anonymized_user/big_arr_archive.npy.tar.xz")
big_arr_archive = {
    k: np.random.randn(1000, 1000) for k in string.ascii_uppercase
}
save_lzma_ndarray_archive(output_fname=big_arr_archive_fname, **big_arr_archive)
big_arr_archive_from_disk = read_lzma_ndarray_archive(big_arr_archive_fname)
for k in string.ascii_uppercase:
    x = big_arr_archive[k]
    x_from_disk = big_arr_archive_from_disk[k]
    print(f"Key = {k}:", np.linalg.norm(x - x_from_disk))
big_low_compression = pathlib.Path("/home/anonymized_user/big_low_compression.npy.tar.xz")
save_lzma_ndarray_archive(output_fname=big_low_compression, preset=3, **big_arr_archive)
big_high_compression = pathlib.Path("/home/anonymized_user/big_low_compression.npy.tar.xz")
save_lzma_ndarray_archive(output_fname=big_high_compression, preset=8, **big_arr_archive)
